# cephfs_config: |
#   [global]
#       fsid =
#       mon_host =
# 
# cephfs_keyring: |
#   [client.cephfs-xnat]
#         key =
# 
# cephfs_mounts: [
#   {
#     src: ":/xnat",
#     path: "/mnt/data",
#     opts: "name=cephfs-xnat,noatime,_netdev"
#   }
# ]
# 
# nagios_nrpe_server_local_cfg: |
# 
# tsm_client_dsm_opt: |
# tsm_client_dsm_sys: |


mi_xnat_docker_compose_certbot_register_command:
mi_xnat_docker_compose_certbot_renew_command: certbot renew
mi_xnat_docker_compose_env: |
  COMPOSE_PATH_SEPARATOR=:
  COMPOSE_FILE=proxy-notls.yml:docker-compose.yml
  HOST_DATA_DIR_PATH=/mnt/data
  PG_VERSION=12.2-alpine
  NGINX_VERSION=1.27.0-alpine-perl

  XNAT_VERSION=1.8.10
  XNAT_MIN_HEAP=2g
  XNAT_MAX_HEAP=4g
  XNAT_SMTP_ENABLED=false
  XNAT_SMTP_HOSTNAME=fake.fake
  XNAT_SMTP_PORT=
  XNAT_SMTP_AUTH=
  XNAT_SMTP_USERNAME=
  XNAT_SMTP_PASSWORD=
  XNAT_DATASOURCE_ADMIN_PASSWORD=CHANGEME
  XNAT_DATASOURCE_DRIVER=org.postgresql.Driver
  XNAT_DATASOURCE_NAME=xnat
  XNAT_DATASOURCE_USERNAME=xnat
  XNAT_DATASOURCE_PASSWORD=CHANGEME
  XNAT_DATASOURCE_URL=jdbc:postgresql://xnat-db/xnat
  XNAT_ACTIVEMQ_URL=tcp://xnat-activemq:61616
  XNAT_ACTIVEMQ_USERNAME=write
  XNAT_ACTIVEMQ_PASSWORD=CHANGEME
  TOMCAT_XNAT_FOLDER=ROOT
  XNAT_ROOT=/data/xnat
  XNAT_HOME=/data/xnat/home
  XNAT_EMAIL=xnat@gwdg.de
  CERTBOT_RENEW_COMMAND={{ mi_xnat_docker_compose_certbot_renew_command }}
  CERTBOT_REGISTER_COMMAND={{ mi_xnat_docker_compose_certbot_register_command }}

  CTP_XNAT_USERNAME=CTPUser
  CTP_XNAT_PASSWORD=CHANGEME

  CTP_ADMIN_PASSWORD=CHANGEME
  CTP_KING_PASSWORD=CHANGEME

